com.google.gwt.user.cellview.client

## Class AbstractCellTable.CellTableKeyboardSelectionHandler<T>

- java.lang.Object
- - com.google.gwt.user.cellview.client.AbstractHasData.DefaultKeyboardSelectionHandler<T>
  - - com.google.gwt.user.cellview.client.AbstractCellTable.CellTableKeyboardSelectionHandler<T>

- Type Parameters:
    `T` - the data type of each row
  All Implemented Interfaces:
    EventHandler, CellPreviewEvent.Handler<T>
  Enclosing class:
    AbstractCellTable<T>

      public static class AbstractCellTable.CellTableKeyboardSelectionHandler<T>
      extends AbstractHasData.DefaultKeyboardSelectionHandler<T>

  Default implementation of a keyboard navigation handler for tables that supports navigation between cells.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellTableKeyboardSelectionHandler(AbstractCellTable<T> table)` Construct a new keyboard selection handler for the specified table.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractCellTable<T>` | `getDisplay()`
    `void` | `onCellPreview(CellPreviewEvent<T> event)` Called when `CellPreviewEvent` is fired.

    - ### Methods inherited from class com.google.gwt.user.cellview.client.AbstractHasData.DefaultKeyboardSelectionHandler

      `end, handledEvent, home, nextPage, nextRow, prevPage, prevRow, setKeyboardSelectedRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellTableKeyboardSelectionHandler

          public CellTableKeyboardSelectionHandler(AbstractCellTable<T> table)

      Construct a new keyboard selection handler for the specified table.
      Parameters:
        `table` - the display being handled

  - ### Method Detail

    - #### getDisplay

          public AbstractCellTable<T> getDisplay()

      Overrides:
        `getDisplay` in class `AbstractHasData.DefaultKeyboardSelectionHandler<T>`

    - #### onCellPreview

          public void onCellPreview(CellPreviewEvent<T> event)

      Description copied from interface: `CellPreviewEvent.Handler`
      Called when `CellPreviewEvent` is fired.
      Specified by:
        `onCellPreview` in interface `CellPreviewEvent.Handler<T>`
      Overrides:
        `onCellPreview` in class `AbstractHasData.DefaultKeyboardSelectionHandler<T>`
      Parameters:
        `event` - the `CellPreviewEvent` that was fired